Bank records
/bank-records/batch
Create multiple bank records
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
dryRun?boolean
Request Body
application/json
connectionId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuiddata*
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/bank-records/batch" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "data": [ { "date": "string" } ] }'{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"uniqueRef": "string",
"sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2"
}
],
"issues": [
{
"ref": "string",
"sourceId": "string",
"message": "string",
"code": "USER_ERROR",
"context": null
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}